#
# spec file for package perl-Dist-Zilla
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Dist-Zilla
Version:        6.007
Release:        3.1
%define cpan_name Dist-Zilla
Summary:        Distribution Builder; Installer Not Included!
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Dist-Zilla/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(App::Cmd::Command::version)
BuildRequires:  perl(App::Cmd::Setup) >= 0.330
BuildRequires:  perl(App::Cmd::Tester) >= 0.306
BuildRequires:  perl(App::Cmd::Tester::CaptureExternal)
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Converter) >= 2.101550
BuildRequires:  perl(CPAN::Meta::Merge)
BuildRequires:  perl(CPAN::Meta::Prereqs) >= 2.120630
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121000
BuildRequires:  perl(CPAN::Meta::Validator) >= 2.101550
BuildRequires:  perl(CPAN::Uploader) >= 0.103004
BuildRequires:  perl(Class::Load) >= 0.17
BuildRequires:  perl(Config::INI::Reader)
BuildRequires:  perl(Config::MVP::Assembler)
BuildRequires:  perl(Config::MVP::Assembler::WithBundles) >= 2.200010
BuildRequires:  perl(Config::MVP::Reader) >= 2.101540
BuildRequires:  perl(Config::MVP::Reader::Findable::ByExtension)
BuildRequires:  perl(Config::MVP::Reader::Finder)
BuildRequires:  perl(Config::MVP::Reader::INI) >= 2.101461
BuildRequires:  perl(Config::MVP::Section) >= 2.200009
BuildRequires:  perl(Data::Section) >= 0.200002
BuildRequires:  perl(DateTime) >= 0.44
BuildRequires:  perl(ExtUtils::Manifest) >= 1.66
BuildRequires:  perl(File::Copy::Recursive)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(File::pushd)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Log::Dispatchouli) >= 1.102220
BuildRequires:  perl(Mixin::Linewise::Readers) >= 0.100
BuildRequires:  perl(Module::CoreList)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moose) >= 0.92
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::LazyRequire)
BuildRequires:  perl(MooseX::Role::Parameterized) >= 1.01
BuildRequires:  perl(MooseX::SetOnce)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(MooseX::Types::Perl)
BuildRequires:  perl(PPI::Document)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Path::Tiny) >= 0.052
BuildRequires:  perl(Perl::PrereqScanner) >= 1.016
BuildRequires:  perl(Pod::Eventual) >= 0.091480
BuildRequires:  perl(Software::License) >= 0.101370
BuildRequires:  perl(Software::License::None)
BuildRequires:  perl(Software::LicenseUtils)
BuildRequires:  perl(String::Formatter) >= 0.100680
BuildRequires:  perl(String::RewritePrefix) >= 0.006
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::ForMethods)
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Term::Encoding)
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Term::UI)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::File::ShareDir)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Text::Glob) >= 0.08
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(YAML::Tiny)
BuildRequires:  perl(autodie)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(parent)
BuildRequires:  perl(version)
Requires:       perl(App::Cmd::Command::version)
Requires:       perl(App::Cmd::Setup) >= 0.330
Requires:       perl(App::Cmd::Tester) >= 0.306
Requires:       perl(App::Cmd::Tester::CaptureExternal)
Requires:       perl(Archive::Tar)
Requires:       perl(CPAN::Meta::Converter) >= 2.101550
Requires:       perl(CPAN::Meta::Merge)
Requires:       perl(CPAN::Meta::Prereqs) >= 2.120630
Requires:       perl(CPAN::Meta::Requirements) >= 2.121000
Requires:       perl(CPAN::Meta::Validator) >= 2.101550
Requires:       perl(CPAN::Uploader) >= 0.103004
Requires:       perl(Class::Load) >= 0.17
Requires:       perl(Config::INI::Reader)
Requires:       perl(Config::MVP::Assembler)
Requires:       perl(Config::MVP::Assembler::WithBundles) >= 2.200010
Requires:       perl(Config::MVP::Reader) >= 2.101540
Requires:       perl(Config::MVP::Reader::Findable::ByExtension)
Requires:       perl(Config::MVP::Reader::Finder)
Requires:       perl(Config::MVP::Reader::INI) >= 2.101461
Requires:       perl(Config::MVP::Section) >= 2.200009
Requires:       perl(Data::Section) >= 0.200002
Requires:       perl(DateTime) >= 0.44
Requires:       perl(ExtUtils::Manifest) >= 1.66
Requires:       perl(File::Copy::Recursive)
Requires:       perl(File::Find::Rule)
Requires:       perl(File::HomeDir)
Requires:       perl(File::ShareDir)
Requires:       perl(File::ShareDir::Install) >= 0.03
Requires:       perl(File::pushd)
Requires:       perl(JSON::MaybeXS)
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Log::Dispatchouli) >= 1.102220
Requires:       perl(Mixin::Linewise::Readers) >= 0.100
Requires:       perl(Module::CoreList)
Requires:       perl(Module::Runtime)
Requires:       perl(Moose) >= 0.92
Requires:       perl(Moose::Role)
Requires:       perl(Moose::Util::TypeConstraints)
Requires:       perl(MooseX::LazyRequire)
Requires:       perl(MooseX::Role::Parameterized) >= 1.01
Requires:       perl(MooseX::SetOnce)
Requires:       perl(MooseX::Types)
Requires:       perl(MooseX::Types::Moose)
Requires:       perl(MooseX::Types::Perl)
Requires:       perl(PPI::Document)
Requires:       perl(Params::Util)
Requires:       perl(Path::Tiny) >= 0.052
Requires:       perl(Perl::PrereqScanner) >= 1.016
Requires:       perl(Pod::Eventual) >= 0.091480
Requires:       perl(Software::License) >= 0.101370
Requires:       perl(Software::LicenseUtils)
Requires:       perl(String::Formatter) >= 0.100680
Requires:       perl(String::RewritePrefix) >= 0.006
Requires:       perl(Sub::Exporter)
Requires:       perl(Sub::Exporter::ForMethods)
Requires:       perl(Sub::Exporter::Util)
Requires:       perl(Term::Encoding)
Requires:       perl(Term::ReadKey)
Requires:       perl(Term::UI)
Requires:       perl(Test::Deep)
Requires:       perl(Text::Glob) >= 0.08
Requires:       perl(Text::Template)
Requires:       perl(Try::Tiny)
Requires:       perl(YAML::Tiny)
Requires:       perl(autodie)
Requires:       perl(namespace::autoclean)
Requires:       perl(parent)
Requires:       perl(version)
Recommends:     perl(Archive::Tar::Wrapper) >= 0.15
Recommends:     perl(Data::OptList) >= 0.110
Recommends:     perl(Term::ReadLine::Gnu)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  timezone
# MANUAL END

%description
Dist::Zilla builds distributions of code to be uploaded to the CPAN. In
this respect, it is like ExtUtils::MakeMaker, Module::Build, or
Module::Install. Unlike those tools, however, it is not also a system for
installing code that has been downloaded from the CPAN. Since it's only run
by authors, and is meant to be run on a repository checkout rather than on
published, released code, it can do much more than those tools, and is free
to make much more ludicrous demands in terms of prerequisites.

If you have access to the web, you can learn more and find an interactive
tutorial at *at http://dzil.org/*. If not, try Dist::Zilla::Tutorial.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes corpus LICENSE misc README todo

%changelog
* Sun Aug  7 2016 coolo@suse.com
- updated to 6.007
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.007     2016-08-06 14:04:39-04:00 America/New_York
  - restrict [MetaYAML] to metaspec v1.4, [MetaJSON] to v2.0+, as other
    version combinations are not well-supported by the toolchain
* Wed Jul  6 2016 coolo@suse.com
- updated to 6.006
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.006     2016-07-04 10:56:36-04:00 America/New_York
  - add some documentation to Dist::Zilla::App::Tester (thanks, Alberto
    Simões!)
  - optimizations to regex munging (thanks, Olivier Mengué!)
  - add x_serialization_backend to META.* files (thanks, Karen
    Etheridge!)
  - metadata plugins are called before metadata defaults are built
    (thanks, Karen Etheridge!)
  - don't use ExtraTests plugin, but if you do, its generated test files
    are a bit faster when unused
* Sat May 28 2016 coolo@suse.com
- updated to 6.005
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  6.005     2016-05-23 08:08:15-04:00 America/New_York
  - NextRelease now dies if there's no changelog file found
    (thanks, Karen Etheridge)
  - Module::Runtime replaces Class::Load (thanks Olivier Mengué)
  6.004     2016-05-14 09:14:19-04:00 America/New_York (TRIAL RELEASE)
  - stop listing Path::Class as a prereq (thanks, Karen Etheridge)
  - update docs on path types (thanks, Graham Ollis)
  6.003     2016-04-24 19:23:46+01:00 Europe/London (TRIAL RELEASE)
  - leading BOM (FEFF) is stripped on UTF-8 content
  - PPI now handles characters, not bytes, fixing non-ASCII
    non-comments in your source
  6.002     2016-04-23 17:50:26+01:00 Europe/London (TRIAL RELEASE)
  - tweaks to Dist::Zilla::Path to keep plugins from v5 era working
  6.001     2016-04-23 13:21:56+01:00 Europe/London
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - Using a Dist::Zilla::Path like a Path::Class object now issues a
    deprecation warning ("this will be removed") once per call site.
  6.000     2016-04-23 11:35:28+01:00 Europe/London (TRIAL RELEASE)
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - Path::Class has been excised in favor of Path::Tiny, exposed as
    Dist::Zilla::Path; it will still respond to ->subdir and ->file, but
    only until Dist::Zilla v7 -- fix your plugins by then!
  - The --verbose switch to dzil is now strictly on/off.  To set
    verbosity on a per-plugin basis, use the -V switch.  Unfortunately,
    per-plugin verbosity seems to have been broken for some time, anyway.
  - The plugins [Prereq] and [AutoPrereq] and [BumpVersion] have been
    removed.  These were long deprecated.  (Don't confuse Prereq, for
    example, with the plural Prereqs, which is the correct plugin.)
  - [PkgVersion] now supports a use_package argument which will put the
    version in the package statement.  (Remember that this syntax was
    introduced in perl v5.12.0.)
  - Dist::Zilla now requires perl v5.14.0.  It will still happily build
    dists that run on whatever version of perl you like.
* Thu May  5 2016 coolo@suse.com
- updated to 5.047
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.047     2016-04-23 16:20:13+01:00 Europe/London
  - cast things to Path::Class as needed, for now, for v6 backcompat
    (don't expect more commits like this)
  5.046     2016-04-22 15:50:27+01:00 Europe/London
  - avoid using syntax that is called ambiguous on older perls
  5.045     2016-04-22 11:37:13+01:00 Europe/London
  - add 'relationship' option to AutoPrereqs plugin (Karen Etheridge)
  - PrereqScanner role abstracts much of the AutoPrereqs behavior
    (thanks, Olivier Mengué!)
  - remove duplicates from the results of the :ExecFiles filefinder
  - [MakeMaker] now rejects version ranges in prereqs if eumm_version is
    not specified to be high enough (7.1101) to guarantee it can be
    handled (Karen Etheridge)
  - allow comments in an authordep specification with a version
  - make FakeReleaser a bit more of a drop-in for UploadToCPAN
    (Erik Carlsson)
  - make PkgDist preserve blank line after 'package' for PkgVersion
    (Chisel Wright)
  - add rename option to [GatherDir::Template] (Alastair McGowan-Douglas)
  - META.json is now emitted in ASCII (using \u... for non-ASCII
    characters) to avoid a bug in older versions of JSON::PP on older
    versions of perl
  - "dzil build --in ." no longer allows you to blow away your cwd
* Thu Apr  7 2016 coolo@suse.com
- updated to 5.044
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.044     2016-04-06 20:32:14-04:00 America/New_York
  - require a newer List::Util to avoid a dumb bug caused by relying on
    side effects of loading Moose (thanks, Karen Etheridge!)
* Wed Jan 13 2016 coolo@suse.com
- updated to 5.043
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.043     2016-01-04 22:54:56-05:00 America/New_York
  - dzil test now supports --extended to set EXTENDED_TESTING (thanks,
    Philippe Bruhat)
* Sat Nov 28 2015 coolo@suse.com
- updated to 5.042
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.042     2015-11-26 09:05:37-05:00 America/New_York
  - try to avoid testing errors when the local time zone can't be
    determined (https://github.com/rjbs/Dist-Zilla/issues/497)
* Sat Oct 31 2015 coolo@suse.com
- updated to 5.041
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.041     2015-10-27 22:07:54-04:00 America/New_York
  - add 'static_attribution' attribution to MakeMaker plugin
  - fix prereqs for App::Cmd and Config::MVP::Reader::INI
* Fri Oct 16 2015 coolo@suse.com
- updated to 5.040
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.040     2015-10-13 11:42:25-04:00 America/New_York
  - the distribution tarball name no longer includes -TRIAL if the
    version contains an underscore
  - [PkgVersion] adds "$VERSION = $VERSION_SANS_UNDERSCORES" when
    version contains an underscore
  - made the PodCoverageTests and PodSyntaxTests plugins generate author
    tests, not release tests. These are tests you want passing on every
    commit, not just before a release (Dave Rolsky)
* Sun Aug 23 2015 coolo@suse.com
- updated to 5.039
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.039     2015-08-10 09:03:08-04:00 America/New_York
  - update required version of MooseX::Role::Parameterized; older
    versions work, but can cause a bunch of unwanted warnings
* Sat Aug  8 2015 coolo@suse.com
- updated to 5.038
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.038     2015-08-07 22:16:50-04:00 America/New_York
  - [License] can be given a filename option to use instead of LICENSE
  - dzil listdeps --develop now exists as an alias for dzil listdeps
  - -author (Karen Etheridge)
  - dzil authordeps now lists the Software::License class needed
    (thanks, David Zurborg)
  - PkgVersion now skips .pod files (thanks, David Golden)
  - build_element support added for [ModuleBuild] (thanks, David
    Wheeler!)
  - PkgVersion now skips .pod files (David Golden)
  - new native filefinder :ExtraTestFiles (thanks, Karen Etheridge)
  - [AutoPrereqs] now looks for develop prerequisites in xt/ (thanks,
    Karen Etheridge)
  - new file finder ':PerlExecFiles' (thanks, Karen Etheridge)
  - try harder to notice failure to set up build root, especially on
    Win32 (thanks, Christian Walde)
  - better errors when a global config package isn't available (thanks,
    Karen Etheridge)
  - added the "ignore" option to [Encoding] (thanks, Yanick Champoux)
  - allow ; authordep specifications to contain version ranges (thanks,
    Karen Etheridge)
  - better error when PAUSE credentials can't be loaded (thanks, David
    Golden)
  - fix documentation for the LicenseProvider role
  - improve errors when PPI failes to parse (thanks, Nick Tonkin)
  - sort list of executable files in Makefile.PL, for deterministic
    builds (thanks, Karen Etheridge)
  - omit configure-requires prerequisites from [MakeMaker]'s fallback
    prerequisites (used by older ExtUtils::MakeMaker)
* Sun Jun  7 2015 coolo@suse.com
- updated to 5.037
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.037     2015-06-04 21:46:38-04:00 America/New_York
  - issue a warning when version ranges are passed through to
    ExtUtils::MakeMaker, which cannot parse them and treats them as '0'
    https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker/issues/215
  - added %%P formatter code to [NextRelease] for the releaser's PAUSE id
* Sun May  3 2015 coolo@suse.com
- updated to 5.036
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.036     2015-05-02 11:08:51-04:00 America/New_York
  - BUGFIX: detection of trial status via underscore in version was
    accidentally lost in v5.035; restored now!
* Thu Apr 16 2015 coolo@suse.com
- updated to 5.035
  see /usr/share/doc/packages/perl-Dist-Zilla/Changes
  5.035     2015-04-16 15:43:26+02:00 Europe/Berlin
  - BREAKING CHANGE: is_trial is now read-only
  - release_status is a new Dist::Zilla attribute and
    ReleaseStatusProvider plugin role
  5.034     2015-03-20 10:57:07-04:00 America/New_York
  - require new Config::MVP for better exceptions (that we rely on)
  - point to IRC in dist metadata
  5.033     2015-03-17 07:45:36-04:00 America/New_York
  - NextRelease now bases the new file on disk on the original file on
    disk, skipping any munging that happened in between
  - improve error message when a plugin can't be loaded
  - added "use_begin" option to PkgVersion
  5.032     2015-02-21 09:36:00-05:00 America/New_York
  - when :version is in plugin config, it's now enforced as soon as it's
    seen
  - add more documentation about bytes/text files
  - PruneCruft also prunes _eumm/* now
  5.031     2015-01-08 22:04:30-05:00 America/New_York
  - correct a test to avoid testing symlinks on Win32
  5.030     2015-01-04 22:31:38-05:00 America/New_York
  - fixed [GatherDir]'s handling of symlinks to directories
  - [AutoPrereqs] now filters out all namespaces found in contained
    modules, not just the one corresponding to the module filename
  5.029     2014-12-14 14:44:44-05:00 America/New_York
  - fix new error in [PkgVersion] when a module had no package
    statements
  - further rip out use of JSON.pm
  5.028     2014-12-12 19:06:23-05:00 America/New_York
  - fix regression in [PkgVersion] that made false-positive
    identifications for pre-existing assignments to $VERSION
  - try avoid cases in which plugin code directly modifies file list
  - switch, tentatively, to JSON::MaybeXS
  5.027     2014-12-09 09:30:30-05:00 America/New_York
  - fix regression in Plugin->plugin_from_config which started passing a
    list of pairs rather than a hashref
  5.026     2014-12-08 21:33:55-05:00 America/New_York
  - eliminate use of Moose::Autobox
  - various small performance optimizations
  - add "use_our" option to PkgVersion
  5.025     2014-11-10 21:12:14-05:00 America/New_York
  - fix file.t failures with perl v5.14 and v5.16's Carp
  5.024     2014-11-05 23:08:07-05:00 America/New_York
  - add the %%Mint stash for minting defaults
  - quiet down some low-priority log lines
  - teeny tiny optimization by building dist prereqs structure lazily
  - avoid ever requiring v0 of ExtUtils::MakeMaker
  - fix a module-loading ordering issue in `dzil setup`
  5.023     2014-10-30 22:56:42-04:00 America/New_York
  - optimizations to loading of heavyweight libraries in cmd line app
  - some tests are now skipped on Win32 to avoid filename insanity
  - files' added_by data should be more informative
  - conflicts with installed code is now detected and/or advertised
  5.022     2014-10-27 22:55:53-04:00 America/New_York
  - several optimizations to how PPI is used
  - handle an empty ABSTRACT better
  - now properly merging distmeta fragments together without loss, using
    new CPAN::Meta::Merge
  - create Makefile.PL and Build.PL files earlier, so they're in the file
    list "the whole time"
  5.021     2014-10-20 22:43:52-04:00 America/New_York
  - improve authordeps' ability to cope with version requirements and
    non-default plugin names
  - a few improvements to help given by "dzil help COMMAND"
  - fixes a situation where exclusion-regexp-building in GatherDir
    could mangle the given regexps
  - now properly merging distmeta fragments together without loss, using
    new CPAN::Meta::Merge (Karen Etheridge)
  - [PkgVersion] now properly skips over $VERSION assignments in
    comments (Karen Etheridge, github #322)
  - the building of manpages is supressed in [MakeMaker]-driven builds
  - lazily load quite a few more modules
  - avoid using user's ~/.dzil even more
  - while building dists for testing, don't bother building man pages
  - try harder to notice minimum required perl version
  - try harder to delete temporarily directory at the end of testing
  - don't treat $VERSION assignments in comments as $VERSION assignments
  - listdeps now takes --omit-core to skip core modules
  - don't try to use terminal encoding on locale-free systems
  - suggest the use of PPI::XS
  - speed up and debug behavior of GatherDir
  5.020     2014-07-28 20:56:25-04:00 America/New_York
  - the default required version for ExtUtils::MakeMaker in [MakeMaker]
    has been removed
  - load DateTime lazily
  - the default required version for Module::Build in [ModuleBuild] has
    been lowered
  5.019     2014-05-20 21:11:47-04:00 America/New_York
  - remove a very brief-lived attempt to double-decode
  5.018     2014-05-20 21:07:04-04:00 America/New_York
  - attempt to return abstract-from-file as a string, rather than
    bytes, which can lead to weirdness (github issue #303)
  5.017     2014-05-17 08:35:33-04:00 America/New_York
  - dotfiles and dot-directories are now included in sharedirs
  - ModuleBuild and MakeMake should not re-build if it isn't needed
  - authordeps now better understands "perl" dep
  - munging of README is delayed to prevent unneeded work and
    complication
  - MANIFEST is now treated as a binary file
  - 'dzil setup' now warns that credentials are stored in the clear
  - MakeMaker should include fewer empty and useless hashrefs
  - Makefile.old is now pruned as cruft
  5.016     2014-05-05 22:27:06-04:00 America/New_York
  - hint about [Encoding] plugin in encoding error message (David
    Golden)
  5.015     2014-03-30 21:55:36-04:00 America/New_York
  - make it easier to have multiple PAUSE configs using UploadToCPAN's
    pause_cfg_dir option (thanks, David Golden)
  5.014     2014-03-16 16:47:07+01:00 Europe/Paris
  - Added 'jobs' argument for 'dzil test' for parallel testing (thanks,
    David Golden!)
  - add default_jobs attribute to TestRunner role
  - fix the behavior of 'dzil add' with more than one file
    (thanks, Leon Timmermans!)
* Thu Feb 27 2014 coolo@suse.com
- buildrequire timezone to fix test suite
* Mon Feb 24 2014 coolo@suse.com
- updated to 5.013
  - META.json is now a UTF-8 file, rather than ASCII
  - document the use of filefinders in [PkgVersion], and remove
    filtering out of .t, .pod files; do skip non-text files, though
  - always load modules in "extra tests" like pod-coverage.t
  - PruneCruft also prunes ./fatlib
  - avoid being tricked by statements in __END__ section when looking for
    variable assignments
  - if "dzil install" fails due to exception, it is now propagated
  - provide a better error when terminal encoding can't be determined
  5.012     2014-01-15 09:58:00-05:00 America/New_York
  - when handling a multi-line abstract, fold the lines on whitespace;
    previously, the newlines had been left in, which caused downstream
    warnings
  5.011     2014-01-12 16:09:29-05:00 America/New_York
  - ->VERSION is again defined in the tester forms of Builder and Minter
  - remove a small obsolete code path from PkgVersion
  5.010     2014-01-11 22:06:04-05:00 America/New_York
  - stop sharing a reference to cached PPI docs, which led to spooky
    action at a distance
  - PkgVersion no longer surrounds the new $VERSION assignment with a
    bare block
  - if there's a blank line after the package statement (and any number
    of comment-only lines), PkgVersion will use that for a $VERSION
    assignment, rather than insert a new line; this can be made mandatory
    with die_on_line_insertion
  5.009     2014-01-07 20:21:17-05:00 America/New_York
  - include time offset by default in NextRelease
  - always pass PPI octets, not text
  5.008     2013-12-27 21:57:02 America/New_York
  - fix utterly broken `dzil run`
  5.007     2013-12-27 20:50:45-05:00 America/New_York
  - add the ability to say "dzil run --no-build" to run a command without
    building inside the dist dir
    (in other words, no `perl Makefile.PL && make`)
  - Archive::Tar::Wrapper added as a recommended prereq
  - fix :ShareFiles (thanks, Christopher J. Madsen and Karen Etheridge)
  - new :AllFiles and :NoFiles filefinders (thanks, Karen Etheridge)
  - most files generated by dzil plugins now self-identify with comments
* Mon Nov 25 2013 coolo@suse.com
- updated to 5.006
  - add ->is_bytes to files; shortcut for ->encoding eq 'bytes'
    (thanks, David Golden)
  - AutoPrereqs will not try scanning binary files (thanks, David Golden)
  - add --keep-build-dir to "dzil test" and "dzil install"
    [THIS RELEASE MIGHT BREAK YOUR BUILD]
  - stable release of all the v5 changes below; READ THEM!
  - by default, NextRelease now adds a trial release marker on trial
    releases
  - dzil setup will not echo password during setup
  - add "dzil --version" support (thanks, Upasana Shukla)
  - fix boneheaded mistake that broke listdeps in 5.002 (thanks, Karen
    Etheridge)
  - perform encoding steps during listdeps
  - typo fixes (thanks, David Steinbrunner)
  - all files now have content, encoded_content, and encoding attributes
  - the Encoding plugin and EncodingProvider role have been added to
    allow you to set the encoding on files; the default is UTF-8
  - config.ini is assumed to be in UTF-8
  - Data::Section sections are assumed to be UTF-8
  - the Term chrome should encode input and output
* Fri Oct  4 2013 coolo@suse.com
- updated to 4.300039
  - tweak metafile generator to keep CPAN::Meta validator happy (thanks,
    David Golden)
  4.300038  2013-09-08 09:18:34 America/New_York
  - add horrible hack to avoid generating non-UTF-8 META.yml; seriously,
    don't look at the code!  Thanks, David Golden, whose code was simple
    and probably much, much saner, but didn't cover as many cases as rjbs
    wanted to cover.
  4.300037  2013-08-28 21:43:36 America/New_York
  - update repo and bugtacker URLs
  4.300036  2013-08-25 21:41:21 America/New_York
  - read CPAN::Uploader config with CPAN::Uploader, to work with new
    trial releases supporting encrypted credential (thanks, Mike Doherty)
  - improve tester tests (thanks, Dave O'Neill!)
  - use Class::Load instead of Class::MOP
  - better error messages when a bundle can't be loaded by @Filter
  - make dynamic_config distmeta sticky; once one plugin sets it, it
    stays stuck
  - add a die_on_existing_version option to PkgVersion
  - switch (for now?) "dzil install" to use cpanm
  - PkgVersion won't rewrite file contents if nothing was changed
    (thanks, Mike Doherty!)
* Wed Jul 24 2013 coolo@suse.com
- updated to 4.300035
    update for new Perl::PrereqScanner, which will find "lib"
    update AutoPrereqs to skip Config and Errno
    fix docs to not suggest obsolete "Prereq" name (thanks, Ivan
    Bessarabov!)
  4.300034  2013-04-13 16:56:48 Europe/London
    delay loading of CPAN::Uploader, and require a newer version to
    require HTTPS (thanks, Olivier Mengué!)
  4.300033  2013-04-05 15:00:37 America/New_York
    fix .build/latest (thanks, Karen Etheridge!)
    doc fixes (thanks, Randy Stauner!)
  4.300032  2013-03-29 16:41:11 America/New_York
    test_requires support for ModuleBuild and MakeMaker (thanks,
    Tatsuhiko Miyagawa!)
  4.300031  2013-03-17 21:47:31 America/New_York
    stacktrace removed from exception when a plugin's minimum version
    check fails (thanks, Karen Etheridge!)
    add 'dzil listdeps --json', which lists all prerequisites broken up
    by phase and type, in readable JSON format (thanks, Karen Etheridge!)
    improve errors when there's not enough configuration and no global
    config file can be found (thanks, Dimitar Petrov)
    delay loading yet more libraries until needed (thanks, Olivier
    Mengué!)
  4.300030  2013-01-30 22:25:27 America/New_York
    listdeps --versions now sorts properly (thanks, Karen Etheridge!)
    delay loading more libraries until needed (thanks, Olivier Mengué!)
    excluded filenames in GatherDir were sometimes matched too fuzzily
    (thanks, Mike Doherty)
  4.300029  2013-01-14 20:03:15 America/New_York
    allow :version directive in root section to require a given version
    of Dist::Zilla
    simply and speedify some of GatherDir (Thanks, Olivier Mengué!)
  4.300028  2012-10-19 10:50:42 America/New_York
    when picking modules to treat as "part of the dist," be more lax in
    understanding libraries under ./t:  ./t/lib/Foo.pm is now treated as
    providing t::lib::Foo, lib::Foo, and Foo
  4.300027  2012-10-16 21:07:06 America/New_York
    the "latest" symlink code broke Dist::Zilla on win32; fixed now!
    (thanks, Brendan Byrd!)
  4.300026  2012-10-13 22:21:17 America/New_York
    PodSyntaxTests, PodCoverageTests and MetaTests now add the right
    develop/requires prereqs (thanks, Olivier Mengué and Ricardo Signes!)
    ModuleBuild now takes an mb_lib argument that can override the
    default of "inc" (thanks, ben hengst)
    create .build/latest symlink when a build in .build is built (thanks,
    Alexei Znamensky!)
* Thu Feb 23 2012 coolo@suse.com
- updated to 4.300009
    PruneCruft also excludes the _Inline/ directory and MYMETA.json
    MakeMaker has been refactored to make it easier to subclass
    (Thanks, Christopher J. Madsen!)
* Fri Feb 17 2012 coolo@suse.com
- updated to 4.300008
    work around qr//m bug in 5.8.8 and earlier (thanks, Randy Stauner!)
    Fix to MakeMaker plugin: use separate scope for code that changes
    namespace, when inserting ShareDir code. (RT#74788) (Karen Etheridge)
* Thu Feb 16 2012 coolo@suse.com
- updated to 4.300007
    Remove configs beginning with ':' from argument list before
    constructing that config; fixes issue where :version was
    being passed to a plugin that had a strict constructor. (Karen
    Etheridge)
* Mon Jan  9 2012 coolo@suse.com
- update to 4.300006, see Changes (a lot of those)
* Wed Jun  8 2011 coolo@novell.com
- updated to 4.200007
    always numify the version use in "use VERSION" in Makefile.PL
* Fri Apr 29 2011 coolo@opensuse.org
- updated to 4.200006
    MakeMaker-generated Makefile.PL now only has configure_requires of
    6.30 so dists can be installed on RHEL5
    improve consistency and options of *_TESTING env vars (Apocalypse)
    improve FileFinder-related documentation (thanks, Apocalypse)
    add a default file finder called :IncModules (thanks, Apocalypse)
    add a default file finder called :MainModule (thanks, Mateu X.
    Hunter)
    phase for named Prereqs defaults to Runtime if omitted (Jonathan Yu)
    extract the *Runner role implementations from ModuleBuild to
    Role::BuildPL (Leon Timmermans)
* Tue Apr 26 2011 coolo@opensuse.org
- updated to 4.200005
    provide actual name of releaser(s) in ConfirmRelease
    error message if "dzil run" is run without a command to run
    some minor refactoring in listdeps (Jon Rockway)
    listdeps can now skip already-met prereqs (Jesse Luehrs)
    authordeps now skips plugins under inc:: (Jesse Luehrs)
    authordeps now scans for "; authordep" comments
* Fri Apr 15 2011 coolo@opensuse.org
- updated to 4.200004
    Add Tests for Config::MVP 2.200 changes. ( Kent Fredric )
    MetaNoIndex, originally by J.T. Smith and Mark Gardner, is now
    included
    avoid test failures on systems where time zone can't be determined
    Test::DZil is now installed and available to other dist
    add --author to listdeps (Jesse Luehrs)
    better logging and error messages (Dave Rolsky, Jesse Luehrs)
    get abstract from main module more reliably (David Golden)
* Fri Jan 14 2011 coolo@novell.com
- initial package 4.200000
  * created by cpanspec 1.78.03
